org.rrd4j.graph

## Class ConstantLine

- java.lang.Object
- - org.rrd4j.graph.PlotElement
  - - org.rrd4j.graph.SourcedPlotElement
    - - org.rrd4j.graph.Line
      - - org.rrd4j.graph.ConstantLine

-     public class ConstantLine
      extends Line

  Represents a line plot element with a constant value in RRD graphs. Extends Line to provide horizontal lines with fixed values across all data points. Useful for showing reference lines, thresholds, or target values.

- - ### Field Summary

    - ### Fields inherited from class org.rrd4j.graph.Line

      `stroke`

    - ### Fields inherited from class org.rrd4j.graph.SourcedPlotElement

      `parent, srcName, values`

    - ### Fields inherited from class org.rrd4j.graph.PlotElement

      `color`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantLine(double value, Paint color, BasicStroke stroke, SourcedPlotElement parent)` Creates a constant line with the specified value, color, stroke, and parent.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `assignValues(DataProcessor dproc)` Assigns constant values to all data points, optionally stacking with parent values.

    - ### Methods inherited from class org.rrd4j.graph.SourcedPlotElement

      `getMaxValue, getMinValue, getParentColor, getValues, stackValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantLine

          ConstantLine(double value,
                       Paint color,
                       BasicStroke stroke,
                       SourcedPlotElement parent)

      Creates a constant line with the specified value, color, stroke, and parent.
      Parameters:
        `value` - the constant value for all data points
        `color` - the line color
        `stroke` - the line stroke style
        `parent` - the parent plot element for stacking

  - ### Method Detail

    - #### assignValues

          void assignValues(DataProcessor dproc)

      Assigns constant values to all data points, optionally stacking with parent values.
      Overrides:
        `assignValues` in class `SourcedPlotElement`
      Parameters:
        `dproc` - the data processor for value assignment